<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="user"
            type="com.example.beijing_daxing.vm.LoginVm" />

        <variable
            name="isShow"
            type="androidx.databinding.ObservableBoolean" />

        <import type="android.view.View" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/login_bg"
        android:orientation="vertical"
        tools:context=".MainActivity">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginTop="80dp"
            android:gravity="center"
            android:letterSpacing="0.5"
            android:text="叉车人员管理"
            android:textColor="@color/white"
            android:textSize="25sp"
            android:textStyle="bold" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="50dp"
            android:layout_marginRight="20dp"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:hint="用户名">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@={user.name}" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textInputLayout2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="20dp"
            android:hint="密码"
            app:passwordToggleEnabled="true">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:imeOptions="actionDone"
                android:inputType="textPassword"
                android:text="@={user.pass}" />

        </com.google.android.material.textfield.TextInputLayout>

        <CheckBox
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="20dp"
            android:checked="@={user.remember}"
            android:text="记住我" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="20dp"
            android:visibility="@{isShow ? View.VISIBLE : View.GONE}"
            android:orientation="vertical">

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:hint="输入IP地址"
                android:imeOptions="actionDone"
                android:text="@={user.ipConfig}" />

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center"
                android:hint="输入RFID过滤前缀"
                android:imeOptions="actionDone"
                android:text="@={user.epcConfig}" />

        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:gravity="right|center"
            android:paddingEnd="20dp"
            android:textColor="@color/blue"
            android:text='@{isShow ? ">>> 隐藏" : "&lt;&lt;&lt; 配置"}'
            android:onClick="setting"
            android:textSize="18sp" />

        <Button
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="20dp"
            android:letterSpacing="1"
            android:onClick="login_click"
            android:text="登录"
            android:textSize="20sp"
            android:textStyle="bold" />

    </LinearLayout>


</layout>